### Method

# Atspi Action do_action

#### Declaration [src]

    gboolean
    atspi_action_do_action (
      AtspiAction* obj,
      gint i,
      GError** error
    )

#### Description [src]

Invoke the action indicated by #index.

#### Parameters

`i`

  Type: `gint`

  An integer specifying which action to invoke.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the action is successfully invoked, otherwise `FALSE`.